<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>

    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css"
    />
    <!-- Popper Development version -->
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- Import DataTable Library -->
    <!-- Import them style bootstrap cho datatable -->
    <link
      rel="stylesheet"
      href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css"
    />
    <!-- Import Datatable sau jquery -->
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans&display=swap"
      rel="stylesheet"
    />

    <style>
      body {
        background: #fafafa;
        min-height: 100vh;
        display: flex;
        justify-content: center;
        align-items: center;
      }

      .login-container {
        width: 37%;
        padding-left: 2rem;
        padding-right: 2rem;
        border-radius: 26px;
        border: 1px solid #d6d6d6;
        background: #fff;
      }

      input {
        box-sizing: border-box;
        display: block;
        width: 100%;
        padding: 1rem;
        margin-bottom: 2rem;
        border-radius: 10px;
        border: 1px solid #eaeaea;
        background: #fff;

        color: #333;
        font-family: Plus Jakarta Sans;
        font-size: 15px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
      }

      input:focus {
        box-shadow: 0px 10px 40px 0px rgba(174, 174, 174, 0.2);
        outline: none !important;
      }

      .login {
        margin-top: 4rem;
        color: #000;
        font-family: Plus Jakarta Sans;
        font-size: 35px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
      }

      .to-get {
        margin-bottom: 3rem;
        color: #000;
        font-family: Plus Jakarta Sans;
        font-size: 25px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
      }

      .forgot-pass {
        color: #333;
        font-family: Plus Jakarta Sans;
        font-size: 15px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
      }

      .login-button {
        width: 100%;
        padding: 1rem;
        margin-top: 3rem;
        margin-bottom: 3rem;
        border-radius: 10px;
        border: 1px solid #eaeaea;
        background: #0016df;
        box-shadow: 0px 10px 40px 0px rgba(174, 174, 174, 0.2);

        color: #fff;
        font-family: Plus Jakarta Sans;
        font-size: 15px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
      }

      .new-user {
        text-align: center;
        margin-bottom: 2rem;
        color: #333;
        font-family: Plus Jakarta Sans;
        font-size: 15px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
      }
    </style>
  </head>
  <body>
    <div class="login-container">
      <div class="login">Login</div>
      <div class="to-get">to get started</div>
      <input type="text" placeholder="Email" id="input-email" />
      <input type="password" placeholder="Password" id="input-password" />
      <div class="forgot-pass">Forgot Password?</div>
      <button class="login-button" id="btn-login">Continue</button>
      <div class="new-user">
        New User?
        <span style="font-weight: 600;" id="span-register">Register</span>
      </div>
    </div>

    <!-- Success login modal -->
    <div>
      <div class="modal fade" tabindex="-1" id="success-login-modal">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="h5-modal-title">
                Thông báo
              </h5>
              <button class="close" data-dismiss="modal">
                &times;
              </button>
            </div>
            <div class="modal-body">
              <label>Bạn đã đăng nhập thành công</label>
            </div>
            <div class="modal-footer">
              <button class="btn btn-secondary" data-dismiss="modal">
                OK
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>

<script>
  $("#span-register").on("click", function () {
    window.location.href = "signup.html";
  });

  $("#btn-login").on("click", function () {
    onBtnLoginClick();
  });

  // hàm xử lý sự kiện Log in click
  function onBtnLoginClick() {
    var vUserObj = {
      email: "",
      password: "",
    };
    // B1: Get data
    vUserObj.email = $("#input-email").val();
    vUserObj.password = $("#input-password").val();
    // B2: Validate
    var vIsUserValidate = validateUserData(vUserObj);
    if (vIsUserValidate) {
      // B3: call login api
      $.ajax({
        type: "post",
        headers: {
          "Content-Type": "application/json",
        },
        url: "http://localhost:8080/api/auth/login",
        dataType: "json",
        data: JSON.stringify(vUserObj),
        success: function (res) {
          console.log(res);
          xuLiRes(res);
        },
        error: function (error) {
          console.log(error);
        },
      });
    }
  }

  // hàm validate data
  function validateUserData(paramUserObj) {
    if (paramUserObj.email == "") {
      alert("Email cần nhập");
      return false;
    }
    if (validateEmail(paramUserObj.email) == false) {
      alert("Email nhập vào không đúng định dạng!");
      return false;
    }

    if (paramUserObj.password == "") {
      alert("Password cần nhập");
      return false;
    }

    return true;
  }

  // hàm kiểm tra email đúng định dạng ko?
  function validateEmail(paramEmail) {
    var vValidRegex = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|.(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    if (paramEmail.match(vValidRegex)) {
      return true;
    } else {
      return false;
    }
  }

  //sau khi đăng nhập thành công hiển thị modal báo đăng nhập thành công và
  // lưu token vào sessionStorage
  function xuLiRes(paramRes) {
    sessionStorage.setItem("accessToken", paramRes.accessToken);
    $("#success-login-modal").modal("show");
  }
</script>
